
%define		module	HTMLgen

Summary:	Class library to create HTML documents from within Python
Summary(pl.UTF-8):	Moduł do tworzenia dokumentów w HTML przy użyciu Pythona
Name:		python-%{module}
Version:	2.2.2
Release:	10
License:	distributable
Group:		Development/Languages/Python
Source0:	http://starship.python.net/crew/friedrich/%{module}.tgz
# Source0-md5:	cd20f8b63d3215e57289ddbf56c97f48
Patch0:		%{name}-fixpaths.patch
URL:		http://starship.python.net/crew/friedrich/HTMLgen/html/main.html
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTMLgen is a class library for the generation of HTML documents with
Python scripts. It's used when you want to create HTML pages
containing information which changes from time to time. For example
you might want to have a page which provides an overall system summary
of data collected nightly. Or maybe you have a catalog of data and
images that you would like formed into a spiffy set of web pages for
the world to browse. Python is a great scripting language for these
tasks and with HTMLgen it's very straightforward to construct objects
which are rendered out into consistently structured web pages. Of
course, CGI scripts written in Python can take advantage of these
classes as well.

This software should work on both Unix and Macintosh and Win32
platforms running Python 1.3 or greater. (HTMLcalendar.py requires
1.4) If you are running 1.5 the new re and string module enhancements
are used for performance.

%description -l pl.UTF-8
HTMLGen jest modułem do tworzenia dokumentów w HTML-u za pomocą
skryptów w Pythonie. Jest przydatny do generowania stron WWW
zawierających okresowo zmieniające sie informacje. Na przykład stronę
zawierającą dzienne podsumowania statystyki wykorzystania serwera.
Innym typowym zastosowaniem jest przygotowywanie strony zawierającej
opis i odnośniki do rysunków znajdujących sie w określonym katalogu,
tak aby można je było łatwo oglądać przez WWW. Python jest dobrym
językiem do programowania takich zadań, a wykorzystanie biblioteki
HTMLgen znacznie ułatwia konstruowanie obiektów, które po
przetworzeniu przez tę bibliotekę utworzą spójną stronę WWW.
Oczywiście skrypty CGI pisane w Pythonie również mogą robić użytek z
tej biblioteki.

%prep
%setup -q -n HTMLgen
%patch0 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/HTMLgen

mv -f *.py $RPM_BUILD_ROOT%{py_sitescriptdir}/HTMLgen
echo %{module} > $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}.pth

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog data html image *.rc
%{py_sitescriptdir}/HTMLgen
%{py_sitescriptdir}/HTMLgen.pth
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-HTMLgen.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 933e18c
- release 10 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 646aae6
- BR: rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6626f76
- release 9

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4afdde5
- release 8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 29c3f47
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b007f95
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> bd06ce2
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 584147d
- orphaned, outdated

* Sat Dec 25 2004 saq <saq@pld-linux.org> 2a5d4fd
- release 7 for python 2.4

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 5daf837
- spelling fixes, uppercases, etc.

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> c37f30b
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> ee1f188
- capitalization, tabs, other cosmetics

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> bf8d638
- Release: 6
- new architecture-independent python modules paths

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 6130815
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> ce1f8a5
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> 69bc808
- new %%doc

* Sat Apr 13 2002 kloczek <kloczek@pld-linux.org> 2da21fe
- rebuild against python 2.2.1.

* Thu Apr 11 2002 wrobell <wrobell@pld-linux.org> f5fefd8
- use pyrequires_eq instead of requires_eq macro (massive attack!)

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> c4a72be
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> f8a5a30
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

